summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-08-01 10:03:24 +0200
committerLars Wendler <polynomial-c@gentoo.org>2017-08-01 10:03:24 +0200
commitd44c1f8c683a00cb1494c8947fa8cb6a5be3a014 (patch)
tree9d3229f37e18e27be6f017480243a48f797cd616 /media-libs/libsoundtouch
parentmedia-gfx/pngcrush: Bump to version 1.8.12 (diff)
downloadgentoo-d44c1f8c683a00cb1494c8947fa8cb6a5be3a014.tar.gz
gentoo-d44c1f8c683a00cb1494c8947fa8cb6a5be3a014.tar.bz2
gentoo-d44c1f8c683a00cb1494c8947fa8cb6a5be3a014.zip
media-libs/libsoundtouch: Bump to version 2.0.0
Package-Manager: Portage-2.3.6, Repoman-2.3.3 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'media-libs/libsoundtouch')
-rw-r--r--media-libs/libsoundtouch/Manifest1
-rw-r--r--media-libs/libsoundtouch/libsoundtouch-2.0.0.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/media-libs/libsoundtouch/Manifest b/media-libs/libsoundtouch/Manifest
index 76d0939ba72..5b9e533599c 100644
--- a/media-libs/libsoundtouch/Manifest
+++ b/media-libs/libsoundtouch/Manifest
@@ -2,3 +2,4 @@ DIST soundtouch-1.7.1.tar.gz 101274 SHA256 385eafa438a9d31ddf84b8d2f713097a3f1fc
DIST soundtouch-1.8.0.tar.gz 106229 SHA256 3d4161d74ca25c5a98c69dbb8ea10fd2be409ba1a3a0bf81db407c4c261f166b SHA512 724e6ecc1727ee4c4f2503d183717dc1503ee2017b176677da6f0268e82254a7cca3ff9a27dbb9cab59e32d002797eec1b39d2b729f741e5f2ea77a147af4d39 WHIRLPOOL e4abc67aa23448a6ef8230794d1e6b9d3f4c33db1fc4fd7c784ab60953d6b79fd850b3cfbdb8ce983b238e7dc249ee96824160bb6e4683b17fd521a4b12b1b1c
DIST soundtouch-1.9.0.tar.gz 169038 SHA256 1fe4fc03cbfe696c1281fd623d089baffe1b70265acc60eac7a6d9b5742971ad SHA512 383e6f8d1441a5d0676607d78e97a4906abe5b285a1d55f9145d8646e7c65b4d4c552250b6e5ca8e1bb74a4ba432f0370e8df666016aa3fdbf6642337d3e6110 WHIRLPOOL 4ba8f638b009c89cbe9b0320602297aff4db292f32c9a5c1494db05ef0b278f574163b6b256b77daebbaf4b673f00053833b3cfbe536ccba7fbbd3d380d06745
DIST soundtouch-1.9.2.tar.gz 171369 SHA256 caeb86511e81420eeb454cb5db53f56d96b8451d37d89af6e55b12eb4da1c513 SHA512 d8f3f8970198a46ef3dc252719749bc19cbd2f8de5e00eeb2874565bfc421b60d94d400bacf702591293e595edf6c1c35917b6153fd395cad8d6b03115da7068 WHIRLPOOL a5c5fa4537ffb1f1bc815347e23e980dcc6d307e9882dd0eb38648b42c4745391f0131c4880a2d2c479bd90edbdd94dffb8874349c7e04a4c4169025b1874242
+DIST soundtouch-2.0.0.tar.gz 455148 SHA256 d224f7d1421b5f8e74a74c85741345bd9802618a40ae30ce5b427a5705c89d25 SHA512 c916bdd2cb3d7547f264b1caf09b739b48a161c8c6288c3893fc97379546ed6b41dafaf603b583fbf64ae91270fdeb90811e5b0df0e9c051dc9f6ddca4d319f9 WHIRLPOOL a306e864c450b55970d4a6424d4186571a68a221735b7fe36470571b7d43e6f641b8c7fbc52fa8809c54a533898608ffa9de17efeb911ddae3eca7e763167c4c
diff --git a/media-libs/libsoundtouch/libsoundtouch-2.0.0.ebuild b/media-libs/libsoundtouch/libsoundtouch-2.0.0.ebuild
new file mode 100644
index 00000000000..f944ef31f0e
--- /dev/null
+++ b/media-libs/libsoundtouch/libsoundtouch-2.0.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools flag-o-matic ltprune multilib-minimal
+
+MY_PN="${PN/lib}"
+
+DESCRIPTION="Audio processing library for changing tempo, pitch and playback rates"
+HOMEPAGE="http://www.surina.net/soundtouch/"
+SRC_URI="http://www.surina.net/soundtouch/${P/lib}.tar.gz"
+
+LICENSE="LGPL-2.1"
+# subslot = libSoundTouch.so soname
+SLOT="0/1"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE="cpu_flags_x86_sse openmp static-libs"
+
+DEPEND=">=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]"
+
+S="${WORKDIR}/${MY_PN}"
+
+src_prepare() {
+ default
+ if use openmp ; then
+ tc-has-openmp || die "Please switch to an openmp compatible compiler"
+ fi
+ sed -i "s:^\(dist_doc_DATA=\)COPYING.TXT :\1:" Makefile.am || die
+ sed -i 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:g' configure.ac || die
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --enable-shared
+ --disable-integer-samples
+ $(use_enable cpu_flags_x86_sse x86-optimizations)
+ $(use_enable openmp)
+ $(use_enable static-libs static)
+ )
+ ECONF_SOURCE=${S} econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+ emake CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}"
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" pkgdocdir="${EPREFIX}"/usr/share/doc/${PF}/html install
+}
+
+multilib_src_install_all() {
+ prune_libtool_files
+}